Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class StackAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.StackAction

Direct Known Subclasses:
  RedoAction, UndoAction

public abstract class StackAction
extends WorkbenchPartAction

Superclass for actions needing access to the stack.

Constructor Summary
`StackAction(IWorkbenchPart editor)` Creates a `StackAction` and associates it with the given editor.

Method Summary
`protected java.lang.String` `getLabelForCommand(Command command)` Returns the label for the given command.

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`calculateEnabled, dispose, execute, getCommandStack, getWorkbenchPart, init, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackAction

    public StackAction(IWorkbenchPart editor)

  Creates a `StackAction` and associates it with the given editor.

Parameters:
  `editor` - The editor this action is associated with.

Method Detail

### getLabelForCommand

    protected java.lang.String getLabelForCommand(Command command)

  Returns the label for the given command. Guarantees that `null` is never returned.

  Parameters:
    `command` - the command
  Returns:
    a non-`null` String

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.